com.fasterxml.jackson.dataformat.yaml.snakeyaml.error

## Class YAMLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.core.exc.StreamReadException
            - - com.fasterxml.jackson.core.JsonParseException
              - - com.fasterxml.jackson.dataformat.yaml.JacksonYAMLParseException
                - - com.fasterxml.jackson.dataformat.yaml.snakeyaml.error.YAMLException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MarkedYAMLException

Deprecated.
Since 2.8

    @Deprecated
    public class YAMLException
    extends JacksonYAMLParseException

Replacement for formerly shaded exception type from SnakeYAML; included in 2.8 solely for backwards compatibility: new code that relies on Jackson 2.8 and after should NOT use this type but only base type `JacksonYAMLParseException`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.exc.StreamReadException

`_processor, _requestPayload`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`YAMLException(com.fasterxml.jackson.core.JsonParser p, org.yaml.snakeyaml.error.YAMLException src)` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static YAMLException` `from(com.fasterxml.jackson.core.JsonParser p, org.yaml.snakeyaml.error.YAMLException src)` Deprecated.

### Methods inherited from class com.fasterxml.jackson.core.JsonParseException

`getMessage, getProcessor, getRequestPayload, getRequestPayloadAsString, withParser, withRequestPayload`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### YAMLException

    public YAMLException(com.fasterxml.jackson.core.JsonParser p,
                         org.yaml.snakeyaml.error.YAMLException src)

Deprecated.

### Method Detail

#### from

    public static YAMLException from(com.fasterxml.jackson.core.JsonParser p,
                                     org.yaml.snakeyaml.error.YAMLException src)

Deprecated.